## sdlip.xml.dom
Class QName

    java.lang.Object
      |
      +--sdlip.xml.dom.QName

public class QName
extends java.lang.Object

Field Summary
`static QName` `ANY`

Constructor Summary
`QName(java.lang.String ln)`
`QName(java.lang.String ns, java.lang.String ln)`

Method Summary
`boolean` `equals(java.lang.Object that)`
`java.lang.String` `getLocalName()`
`java.lang.String` `getName()`
`java.lang.String` `getNamespace()`
`int` `hashCode()`
`static int` `incrementalHashCode(int hash, char c)`
`static int` `incrementalHashCode(int hash, java.lang.String segment)`
`static int` `incrementalHashCode(java.lang.String segment)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ANY

    public static QName ANY

Constructor Detail

### QName

    public QName(java.lang.String ns,
                 java.lang.String ln)

### QName

    public QName(java.lang.String ln)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getName

    public java.lang.String getName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getNamespace

    public java.lang.String getNamespace()

### getLocalName

    public java.lang.String getLocalName()

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### incrementalHashCode

    public static int incrementalHashCode(int hash,
                                          char c)

### incrementalHashCode

    public static int incrementalHashCode(int hash,
                                          java.lang.String segment)

### incrementalHashCode

    public static int incrementalHashCode(java.lang.String segment)